import { PropType } from 'vue';
import { IReportEmbedConfiguration, Embed, Report } from 'powerbi-client';
import { EventHandler } from '../utils/utils';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    embedConfig: {
        type: PropType<import("powerbi-models").IReportEmbedConfiguration>;
        required: true;
    };
    phasedEmbedding: {
        type: BooleanConstructor;
        default: boolean;
    };
    eventHandlers: {
        type: PropType<Map<string, EventHandler>>;
    };
}>, {}, {}, {
    config(): IReportEmbedConfiguration;
}, {
    /**
     * Function to decide to embed, load or bootstrap
     *
     * @returns void
     */
    embedOrBootstrap(): void;
    /**
     * Embed or load the PowerBI Report based on phasedEmbedding flag
     *
     * @returns void
     */
    embedReport(): void;
    /**
     * Set event handlers if available
     *
     * @returns void
     */
    callSetEventHandlers(): void;
    getReport(): Report;
}, import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    cssClassName: {
        type: StringConstructor;
    };
    service: {
        type: typeof import("service").Service;
    };
}>, {}, {
    powerbi: import("service").Service;
    prevEventHandlerMap: Map<string, EventHandler>;
    embed: Embed;
}, {}, {
    setEventHandlers(embed: Embed, eventHandlerMap: Map<string, EventHandler>): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    cssClassName: {
        type: StringConstructor;
    };
    service: {
        type: typeof import("service").Service;
    };
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>, import("vue").ComponentOptionsMixin, "report-obj"[], "report-obj", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    embedConfig: {
        type: PropType<import("powerbi-models").IReportEmbedConfiguration>;
        required: true;
    };
    phasedEmbedding: {
        type: BooleanConstructor;
        default: boolean;
    };
    eventHandlers: {
        type: PropType<Map<string, EventHandler>>;
    };
}>> & Readonly<{
    "onReport-obj"?: ((...args: any[]) => any) | undefined;
}>, {
    phasedEmbedding: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
