import { PropType } from 'vue';
import { ITileEmbedConfiguration, Embed, Tile } from 'powerbi-client';
import { EventHandler } from '../utils/utils';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    embedConfig: {
        type: PropType<import("powerbi-models").ITileEmbedConfiguration>;
        required: true;
    };
    eventHandlers: {
        type: PropType<Map<string, EventHandler>>;
        required: false;
    };
}>, {}, {}, {
    config(): ITileEmbedConfiguration;
}, {
    /**
     * Function to decide to embed or bootstrap
     *
     * @returns void
     */
    embedOrBootstrap(): void;
    /**
     * Embed the PowerBI Tile
     *
     * @returns void
     */
    embedTile(): void;
    /**
     * Set event handlers if available
     *
     * @returns void
     */
    callSetEventHandlers(): void;
    getTile(): Tile;
}, import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    cssClassName: {
        type: StringConstructor;
    };
    service: {
        type: typeof import("service").Service;
    };
}>, {}, {
    powerbi: import("service").Service;
    prevEventHandlerMap: Map<string, EventHandler>;
    embed: Embed;
}, {}, {
    setEventHandlers(embed: Embed, eventHandlerMap: Map<string, EventHandler>): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    cssClassName: {
        type: StringConstructor;
    };
    service: {
        type: typeof import("service").Service;
    };
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    embedConfig: {
        type: PropType<import("powerbi-models").ITileEmbedConfiguration>;
        required: true;
    };
    eventHandlers: {
        type: PropType<Map<string, EventHandler>>;
        required: false;
    };
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
