import { service, Embed } from 'powerbi-client';
import { EventHandler } from '../utils/utils';
export declare enum EmbedType {
    Create = "create",
    Report = "report",
    Dashboard = "dashboard",
    Tile = "tile",
    Qna = "qna",
    Visual = "visual"
}
/**
 * Base component to hold common properties for all the Power BI entities
 */
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    cssClassName: {
        type: StringConstructor;
    };
    service: {
        type: typeof service.Service;
    };
}>, {}, {
    powerbi: service.Service;
    prevEventHandlerMap: Map<string, EventHandler>;
    embed: Embed;
}, {}, {
    /**
     * Sets all event handlers from the input on the embedded entity
     *
     * @param embed Embedded object
     * @param eventHandlerMap Array of event handlers to be set on the embedded entity
     * @returns void
     */
    setEventHandlers(embed: Embed, eventHandlerMap: Map<string, EventHandler>): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    cssClassName: {
        type: StringConstructor;
    };
    service: {
        type: typeof service.Service;
    };
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
